Bug 145244 - New caching-nameserver package for U4 destroys local customizations
New caching-nameserver package for U4 destroys local customizations
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: caching-nameserver (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-01-15 16:26 EST by Bob Plankers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-16 15:27:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Plankers 2005-01-15 16:26:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
An upgrade from the previous caching-nameserver package to
caching-nameserver-7.3-3_EL3 moves a customized /etc/named.conf to
/etc/named.conf.rpmsave, adds a new /etc/named.conf, and resets the
permissions on /var/named. This destroys local customizations of
named.conf, not to mention changing the functionality of a stable
product (RHEL AS 3) during a patch via up2date (which does not warn
you that it is removing your customizations).

What happened to new files being added as .rpmnew and leaving the
customized config files alone? That was the old behaviour in these
situations, and was "correct." Patching your machine didn't break your
machine. Nothing should change in a security patch to a stable,
non-beta product that would break a configuration file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RHEL AS 3 Update 3. Install caching-nameserver and do
something to the configuration (like add a slave DNS zone).
2. Patch to U4 via up2date/RHN
3. Your name server does not work as you configured it anymore.

Actual Results:  Name server needed to be stopped, configuration
restored (mv /etc/named.conf.rpmsave /etc/named.conf), permissions
restored on /var/named (chmod g+w /var/named), and restarted.

Expected Results:  The name server should have continued working
without error or regressions. If a new configuration file is suggested
it should have been written as /etc/named.conf.rpmnew

Additional info:
Comment 1 Jason Vas Dias 2005-01-16 15:27:25 EST
If you want something other / more than a caching-only nameserver,
then don't install the caching-nameserver package .

The caching-nameserver package consists entirely of named
configuration files to provide a caching-only nameserver. 
If it installed the named configuration files as '%config(noreplace)',
then there would be no way for it to guarantee that after 
installation, a caching-only  nameserver was in place, nor any way 
for it to be updated.

Other packages are now depending on caching-nameserver to install the
configuration files for a caching-only nameserver. 

As you found, caching-nameserver does correctly back up any existing
configuration files to .rpmsave files, and no data is lost.

In future releases, perhaps we should package the current
caching-nameserver as a sub-package of bind as a 'bind-default-config'
package, which would install the configuration files as
'%config(noreplace)' - but we'd still have to ship the
caching-nameserver package to replace the configuration files, so
that users / other packages can depend on it to install a caching-only
nameserver, regardless of the current named configuration .


Note You need to log in before you can comment on or make changes to this bug.